package cn.timer.api.bean.disk;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;


/**
 * 云盘-资源目录表
 * 
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2021-12-27 09:24:49
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "disk_catalogue")
@ApiModel("资源目录表")
public class DiskCatalogue extends Model<DiskCatalogue> {
	private static final long serialVersionUID = 1L;
	
	/**
	* 主键ID
	*/
	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;
	/**
	* 目录名称
	*/
	@ApiModelProperty(value = "目录名称")
	private String name;
	/**
	* 上级目录
	*/
	@ApiModelProperty(value = "上级目录")
	private Integer parentId;
	/**
	* 所有上级目录
	*/
	@ApiModelProperty(value = "所有上级目录")
	private String parentIds;
	/**
	* 0云盘，1文件夹
	*/
	@ApiModelProperty(value = "0云盘，1文件夹")
	private Integer type;
	/**
	* 当前企业id
	*/
	@ApiModelProperty(value = "当前企业id")
	private Integer orgId;
	/**
	* 空间大小,单位kb
	*/
	@ApiModelProperty(value = "空间大小,单位kb")
	private Long size;
	/**
	* 已使用空间大小,单位kb
	*/
	@ApiModelProperty(value = "已使用空间大小,单位kb")
	private Long usedSize;
	/**
	* 排序
	*/
	@ApiModelProperty(value = "排序")
	private Integer sort;
	/**
	* 创建者
	*/
	@ApiModelProperty(value = "创建者")
	private Integer createUserId;
	/**
	* 更新者
	*/
	@ApiModelProperty(value = "更新者")
	private Integer updateUserId;
	/**
	* 备注信息
	*/
	@ApiModelProperty(value = "备注信息")
	private String remark;
	/**
	* 逻辑删除标记0.未删除 1.删除
	*/
	@ApiModelProperty(value = "逻辑删除标记0.未删除 1.删除")
	private Integer deleteFlag;
	/**
	 * 创建时间
	 */
	@ApiModelProperty(value = "创建时间")
	private Date createTime;
	/**
	 * 更新时间
	 */
	@ApiModelProperty(value = "更新时间")
	private Date updateTime;

}
